package com.hfkj.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class BsAuditExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Long offset;

    public BsAuditExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Long offset) {
        this.offset = offset;
    }

    public Long getOffset() {
        return offset;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andAuditNoIsNull() {
            addCriterion("audit_no is null");
            return (Criteria) this;
        }

        public Criteria andAuditNoIsNotNull() {
            addCriterion("audit_no is not null");
            return (Criteria) this;
        }

        public Criteria andAuditNoEqualTo(String value) {
            addCriterion("audit_no =", value, "auditNo");
            return (Criteria) this;
        }

        public Criteria andAuditNoNotEqualTo(String value) {
            addCriterion("audit_no <>", value, "auditNo");
            return (Criteria) this;
        }

        public Criteria andAuditNoGreaterThan(String value) {
            addCriterion("audit_no >", value, "auditNo");
            return (Criteria) this;
        }

        public Criteria andAuditNoGreaterThanOrEqualTo(String value) {
            addCriterion("audit_no >=", value, "auditNo");
            return (Criteria) this;
        }

        public Criteria andAuditNoLessThan(String value) {
            addCriterion("audit_no <", value, "auditNo");
            return (Criteria) this;
        }

        public Criteria andAuditNoLessThanOrEqualTo(String value) {
            addCriterion("audit_no <=", value, "auditNo");
            return (Criteria) this;
        }

        public Criteria andAuditNoLike(String value) {
            addCriterion("audit_no like", value, "auditNo");
            return (Criteria) this;
        }

        public Criteria andAuditNoNotLike(String value) {
            addCriterion("audit_no not like", value, "auditNo");
            return (Criteria) this;
        }

        public Criteria andAuditNoIn(List<String> values) {
            addCriterion("audit_no in", values, "auditNo");
            return (Criteria) this;
        }

        public Criteria andAuditNoNotIn(List<String> values) {
            addCriterion("audit_no not in", values, "auditNo");
            return (Criteria) this;
        }

        public Criteria andAuditNoBetween(String value1, String value2) {
            addCriterion("audit_no between", value1, value2, "auditNo");
            return (Criteria) this;
        }

        public Criteria andAuditNoNotBetween(String value1, String value2) {
            addCriterion("audit_no not between", value1, value2, "auditNo");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeIsNull() {
            addCriterion("vocational_work_type is null");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeIsNotNull() {
            addCriterion("vocational_work_type is not null");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeEqualTo(Integer value) {
            addCriterion("vocational_work_type =", value, "vocationalWorkType");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeNotEqualTo(Integer value) {
            addCriterion("vocational_work_type <>", value, "vocationalWorkType");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeGreaterThan(Integer value) {
            addCriterion("vocational_work_type >", value, "vocationalWorkType");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("vocational_work_type >=", value, "vocationalWorkType");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeLessThan(Integer value) {
            addCriterion("vocational_work_type <", value, "vocationalWorkType");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeLessThanOrEqualTo(Integer value) {
            addCriterion("vocational_work_type <=", value, "vocationalWorkType");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeIn(List<Integer> values) {
            addCriterion("vocational_work_type in", values, "vocationalWorkType");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeNotIn(List<Integer> values) {
            addCriterion("vocational_work_type not in", values, "vocationalWorkType");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeBetween(Integer value1, Integer value2) {
            addCriterion("vocational_work_type between", value1, value2, "vocationalWorkType");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("vocational_work_type not between", value1, value2, "vocationalWorkType");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeNameIsNull() {
            addCriterion("vocational_work_type_name is null");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeNameIsNotNull() {
            addCriterion("vocational_work_type_name is not null");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeNameEqualTo(String value) {
            addCriterion("vocational_work_type_name =", value, "vocationalWorkTypeName");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeNameNotEqualTo(String value) {
            addCriterion("vocational_work_type_name <>", value, "vocationalWorkTypeName");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeNameGreaterThan(String value) {
            addCriterion("vocational_work_type_name >", value, "vocationalWorkTypeName");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeNameGreaterThanOrEqualTo(String value) {
            addCriterion("vocational_work_type_name >=", value, "vocationalWorkTypeName");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeNameLessThan(String value) {
            addCriterion("vocational_work_type_name <", value, "vocationalWorkTypeName");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeNameLessThanOrEqualTo(String value) {
            addCriterion("vocational_work_type_name <=", value, "vocationalWorkTypeName");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeNameLike(String value) {
            addCriterion("vocational_work_type_name like", value, "vocationalWorkTypeName");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeNameNotLike(String value) {
            addCriterion("vocational_work_type_name not like", value, "vocationalWorkTypeName");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeNameIn(List<String> values) {
            addCriterion("vocational_work_type_name in", values, "vocationalWorkTypeName");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeNameNotIn(List<String> values) {
            addCriterion("vocational_work_type_name not in", values, "vocationalWorkTypeName");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeNameBetween(String value1, String value2) {
            addCriterion("vocational_work_type_name between", value1, value2, "vocationalWorkTypeName");
            return (Criteria) this;
        }

        public Criteria andVocationalWorkTypeNameNotBetween(String value1, String value2) {
            addCriterion("vocational_work_type_name not between", value1, value2, "vocationalWorkTypeName");
            return (Criteria) this;
        }

        public Criteria andAuditObjectIdIsNull() {
            addCriterion("audit_object_id is null");
            return (Criteria) this;
        }

        public Criteria andAuditObjectIdIsNotNull() {
            addCriterion("audit_object_id is not null");
            return (Criteria) this;
        }

        public Criteria andAuditObjectIdEqualTo(Long value) {
            addCriterion("audit_object_id =", value, "auditObjectId");
            return (Criteria) this;
        }

        public Criteria andAuditObjectIdNotEqualTo(Long value) {
            addCriterion("audit_object_id <>", value, "auditObjectId");
            return (Criteria) this;
        }

        public Criteria andAuditObjectIdGreaterThan(Long value) {
            addCriterion("audit_object_id >", value, "auditObjectId");
            return (Criteria) this;
        }

        public Criteria andAuditObjectIdGreaterThanOrEqualTo(Long value) {
            addCriterion("audit_object_id >=", value, "auditObjectId");
            return (Criteria) this;
        }

        public Criteria andAuditObjectIdLessThan(Long value) {
            addCriterion("audit_object_id <", value, "auditObjectId");
            return (Criteria) this;
        }

        public Criteria andAuditObjectIdLessThanOrEqualTo(Long value) {
            addCriterion("audit_object_id <=", value, "auditObjectId");
            return (Criteria) this;
        }

        public Criteria andAuditObjectIdIn(List<Long> values) {
            addCriterion("audit_object_id in", values, "auditObjectId");
            return (Criteria) this;
        }

        public Criteria andAuditObjectIdNotIn(List<Long> values) {
            addCriterion("audit_object_id not in", values, "auditObjectId");
            return (Criteria) this;
        }

        public Criteria andAuditObjectIdBetween(Long value1, Long value2) {
            addCriterion("audit_object_id between", value1, value2, "auditObjectId");
            return (Criteria) this;
        }

        public Criteria andAuditObjectIdNotBetween(Long value1, Long value2) {
            addCriterion("audit_object_id not between", value1, value2, "auditObjectId");
            return (Criteria) this;
        }

        public Criteria andAuditObjectNameIsNull() {
            addCriterion("audit_object_name is null");
            return (Criteria) this;
        }

        public Criteria andAuditObjectNameIsNotNull() {
            addCriterion("audit_object_name is not null");
            return (Criteria) this;
        }

        public Criteria andAuditObjectNameEqualTo(String value) {
            addCriterion("audit_object_name =", value, "auditObjectName");
            return (Criteria) this;
        }

        public Criteria andAuditObjectNameNotEqualTo(String value) {
            addCriterion("audit_object_name <>", value, "auditObjectName");
            return (Criteria) this;
        }

        public Criteria andAuditObjectNameGreaterThan(String value) {
            addCriterion("audit_object_name >", value, "auditObjectName");
            return (Criteria) this;
        }

        public Criteria andAuditObjectNameGreaterThanOrEqualTo(String value) {
            addCriterion("audit_object_name >=", value, "auditObjectName");
            return (Criteria) this;
        }

        public Criteria andAuditObjectNameLessThan(String value) {
            addCriterion("audit_object_name <", value, "auditObjectName");
            return (Criteria) this;
        }

        public Criteria andAuditObjectNameLessThanOrEqualTo(String value) {
            addCriterion("audit_object_name <=", value, "auditObjectName");
            return (Criteria) this;
        }

        public Criteria andAuditObjectNameLike(String value) {
            addCriterion("audit_object_name like", value, "auditObjectName");
            return (Criteria) this;
        }

        public Criteria andAuditObjectNameNotLike(String value) {
            addCriterion("audit_object_name not like", value, "auditObjectName");
            return (Criteria) this;
        }

        public Criteria andAuditObjectNameIn(List<String> values) {
            addCriterion("audit_object_name in", values, "auditObjectName");
            return (Criteria) this;
        }

        public Criteria andAuditObjectNameNotIn(List<String> values) {
            addCriterion("audit_object_name not in", values, "auditObjectName");
            return (Criteria) this;
        }

        public Criteria andAuditObjectNameBetween(String value1, String value2) {
            addCriterion("audit_object_name between", value1, value2, "auditObjectName");
            return (Criteria) this;
        }

        public Criteria andAuditObjectNameNotBetween(String value1, String value2) {
            addCriterion("audit_object_name not between", value1, value2, "auditObjectName");
            return (Criteria) this;
        }

        public Criteria andOpUserIdIsNull() {
            addCriterion("op_user_id is null");
            return (Criteria) this;
        }

        public Criteria andOpUserIdIsNotNull() {
            addCriterion("op_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andOpUserIdEqualTo(Long value) {
            addCriterion("op_user_id =", value, "opUserId");
            return (Criteria) this;
        }

        public Criteria andOpUserIdNotEqualTo(Long value) {
            addCriterion("op_user_id <>", value, "opUserId");
            return (Criteria) this;
        }

        public Criteria andOpUserIdGreaterThan(Long value) {
            addCriterion("op_user_id >", value, "opUserId");
            return (Criteria) this;
        }

        public Criteria andOpUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("op_user_id >=", value, "opUserId");
            return (Criteria) this;
        }

        public Criteria andOpUserIdLessThan(Long value) {
            addCriterion("op_user_id <", value, "opUserId");
            return (Criteria) this;
        }

        public Criteria andOpUserIdLessThanOrEqualTo(Long value) {
            addCriterion("op_user_id <=", value, "opUserId");
            return (Criteria) this;
        }

        public Criteria andOpUserIdIn(List<Long> values) {
            addCriterion("op_user_id in", values, "opUserId");
            return (Criteria) this;
        }

        public Criteria andOpUserIdNotIn(List<Long> values) {
            addCriterion("op_user_id not in", values, "opUserId");
            return (Criteria) this;
        }

        public Criteria andOpUserIdBetween(Long value1, Long value2) {
            addCriterion("op_user_id between", value1, value2, "opUserId");
            return (Criteria) this;
        }

        public Criteria andOpUserIdNotBetween(Long value1, Long value2) {
            addCriterion("op_user_id not between", value1, value2, "opUserId");
            return (Criteria) this;
        }

        public Criteria andOpUserNameIsNull() {
            addCriterion("op_user_name is null");
            return (Criteria) this;
        }

        public Criteria andOpUserNameIsNotNull() {
            addCriterion("op_user_name is not null");
            return (Criteria) this;
        }

        public Criteria andOpUserNameEqualTo(String value) {
            addCriterion("op_user_name =", value, "opUserName");
            return (Criteria) this;
        }

        public Criteria andOpUserNameNotEqualTo(String value) {
            addCriterion("op_user_name <>", value, "opUserName");
            return (Criteria) this;
        }

        public Criteria andOpUserNameGreaterThan(String value) {
            addCriterion("op_user_name >", value, "opUserName");
            return (Criteria) this;
        }

        public Criteria andOpUserNameGreaterThanOrEqualTo(String value) {
            addCriterion("op_user_name >=", value, "opUserName");
            return (Criteria) this;
        }

        public Criteria andOpUserNameLessThan(String value) {
            addCriterion("op_user_name <", value, "opUserName");
            return (Criteria) this;
        }

        public Criteria andOpUserNameLessThanOrEqualTo(String value) {
            addCriterion("op_user_name <=", value, "opUserName");
            return (Criteria) this;
        }

        public Criteria andOpUserNameLike(String value) {
            addCriterion("op_user_name like", value, "opUserName");
            return (Criteria) this;
        }

        public Criteria andOpUserNameNotLike(String value) {
            addCriterion("op_user_name not like", value, "opUserName");
            return (Criteria) this;
        }

        public Criteria andOpUserNameIn(List<String> values) {
            addCriterion("op_user_name in", values, "opUserName");
            return (Criteria) this;
        }

        public Criteria andOpUserNameNotIn(List<String> values) {
            addCriterion("op_user_name not in", values, "opUserName");
            return (Criteria) this;
        }

        public Criteria andOpUserNameBetween(String value1, String value2) {
            addCriterion("op_user_name between", value1, value2, "opUserName");
            return (Criteria) this;
        }

        public Criteria andOpUserNameNotBetween(String value1, String value2) {
            addCriterion("op_user_name not between", value1, value2, "opUserName");
            return (Criteria) this;
        }

        public Criteria andReviewedUserIdIsNull() {
            addCriterion("reviewed_user_id is null");
            return (Criteria) this;
        }

        public Criteria andReviewedUserIdIsNotNull() {
            addCriterion("reviewed_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andReviewedUserIdEqualTo(Long value) {
            addCriterion("reviewed_user_id =", value, "reviewedUserId");
            return (Criteria) this;
        }

        public Criteria andReviewedUserIdNotEqualTo(Long value) {
            addCriterion("reviewed_user_id <>", value, "reviewedUserId");
            return (Criteria) this;
        }

        public Criteria andReviewedUserIdGreaterThan(Long value) {
            addCriterion("reviewed_user_id >", value, "reviewedUserId");
            return (Criteria) this;
        }

        public Criteria andReviewedUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("reviewed_user_id >=", value, "reviewedUserId");
            return (Criteria) this;
        }

        public Criteria andReviewedUserIdLessThan(Long value) {
            addCriterion("reviewed_user_id <", value, "reviewedUserId");
            return (Criteria) this;
        }

        public Criteria andReviewedUserIdLessThanOrEqualTo(Long value) {
            addCriterion("reviewed_user_id <=", value, "reviewedUserId");
            return (Criteria) this;
        }

        public Criteria andReviewedUserIdIn(List<Long> values) {
            addCriterion("reviewed_user_id in", values, "reviewedUserId");
            return (Criteria) this;
        }

        public Criteria andReviewedUserIdNotIn(List<Long> values) {
            addCriterion("reviewed_user_id not in", values, "reviewedUserId");
            return (Criteria) this;
        }

        public Criteria andReviewedUserIdBetween(Long value1, Long value2) {
            addCriterion("reviewed_user_id between", value1, value2, "reviewedUserId");
            return (Criteria) this;
        }

        public Criteria andReviewedUserIdNotBetween(Long value1, Long value2) {
            addCriterion("reviewed_user_id not between", value1, value2, "reviewedUserId");
            return (Criteria) this;
        }

        public Criteria andReviewedUserNameIsNull() {
            addCriterion("reviewed_user_name is null");
            return (Criteria) this;
        }

        public Criteria andReviewedUserNameIsNotNull() {
            addCriterion("reviewed_user_name is not null");
            return (Criteria) this;
        }

        public Criteria andReviewedUserNameEqualTo(String value) {
            addCriterion("reviewed_user_name =", value, "reviewedUserName");
            return (Criteria) this;
        }

        public Criteria andReviewedUserNameNotEqualTo(String value) {
            addCriterion("reviewed_user_name <>", value, "reviewedUserName");
            return (Criteria) this;
        }

        public Criteria andReviewedUserNameGreaterThan(String value) {
            addCriterion("reviewed_user_name >", value, "reviewedUserName");
            return (Criteria) this;
        }

        public Criteria andReviewedUserNameGreaterThanOrEqualTo(String value) {
            addCriterion("reviewed_user_name >=", value, "reviewedUserName");
            return (Criteria) this;
        }

        public Criteria andReviewedUserNameLessThan(String value) {
            addCriterion("reviewed_user_name <", value, "reviewedUserName");
            return (Criteria) this;
        }

        public Criteria andReviewedUserNameLessThanOrEqualTo(String value) {
            addCriterion("reviewed_user_name <=", value, "reviewedUserName");
            return (Criteria) this;
        }

        public Criteria andReviewedUserNameLike(String value) {
            addCriterion("reviewed_user_name like", value, "reviewedUserName");
            return (Criteria) this;
        }

        public Criteria andReviewedUserNameNotLike(String value) {
            addCriterion("reviewed_user_name not like", value, "reviewedUserName");
            return (Criteria) this;
        }

        public Criteria andReviewedUserNameIn(List<String> values) {
            addCriterion("reviewed_user_name in", values, "reviewedUserName");
            return (Criteria) this;
        }

        public Criteria andReviewedUserNameNotIn(List<String> values) {
            addCriterion("reviewed_user_name not in", values, "reviewedUserName");
            return (Criteria) this;
        }

        public Criteria andReviewedUserNameBetween(String value1, String value2) {
            addCriterion("reviewed_user_name between", value1, value2, "reviewedUserName");
            return (Criteria) this;
        }

        public Criteria andReviewedUserNameNotBetween(String value1, String value2) {
            addCriterion("reviewed_user_name not between", value1, value2, "reviewedUserName");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("`status` is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("`status` is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("`status` =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("`status` <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("`status` >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("`status` >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("`status` <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("`status` <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("`status` in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("`status` not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("`status` between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("`status` not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andRejectReasonIsNull() {
            addCriterion("reject_reason is null");
            return (Criteria) this;
        }

        public Criteria andRejectReasonIsNotNull() {
            addCriterion("reject_reason is not null");
            return (Criteria) this;
        }

        public Criteria andRejectReasonEqualTo(String value) {
            addCriterion("reject_reason =", value, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andRejectReasonNotEqualTo(String value) {
            addCriterion("reject_reason <>", value, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andRejectReasonGreaterThan(String value) {
            addCriterion("reject_reason >", value, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andRejectReasonGreaterThanOrEqualTo(String value) {
            addCriterion("reject_reason >=", value, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andRejectReasonLessThan(String value) {
            addCriterion("reject_reason <", value, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andRejectReasonLessThanOrEqualTo(String value) {
            addCriterion("reject_reason <=", value, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andRejectReasonLike(String value) {
            addCriterion("reject_reason like", value, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andRejectReasonNotLike(String value) {
            addCriterion("reject_reason not like", value, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andRejectReasonIn(List<String> values) {
            addCriterion("reject_reason in", values, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andRejectReasonNotIn(List<String> values) {
            addCriterion("reject_reason not in", values, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andRejectReasonBetween(String value1, String value2) {
            addCriterion("reject_reason between", value1, value2, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andRejectReasonNotBetween(String value1, String value2) {
            addCriterion("reject_reason not between", value1, value2, "rejectReason");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andExt1IsNull() {
            addCriterion("ext_1 is null");
            return (Criteria) this;
        }

        public Criteria andExt1IsNotNull() {
            addCriterion("ext_1 is not null");
            return (Criteria) this;
        }

        public Criteria andExt1EqualTo(String value) {
            addCriterion("ext_1 =", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotEqualTo(String value) {
            addCriterion("ext_1 <>", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThan(String value) {
            addCriterion("ext_1 >", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThanOrEqualTo(String value) {
            addCriterion("ext_1 >=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThan(String value) {
            addCriterion("ext_1 <", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThanOrEqualTo(String value) {
            addCriterion("ext_1 <=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Like(String value) {
            addCriterion("ext_1 like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotLike(String value) {
            addCriterion("ext_1 not like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1In(List<String> values) {
            addCriterion("ext_1 in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotIn(List<String> values) {
            addCriterion("ext_1 not in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Between(String value1, String value2) {
            addCriterion("ext_1 between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotBetween(String value1, String value2) {
            addCriterion("ext_1 not between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt2IsNull() {
            addCriterion("ext_2 is null");
            return (Criteria) this;
        }

        public Criteria andExt2IsNotNull() {
            addCriterion("ext_2 is not null");
            return (Criteria) this;
        }

        public Criteria andExt2EqualTo(String value) {
            addCriterion("ext_2 =", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotEqualTo(String value) {
            addCriterion("ext_2 <>", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThan(String value) {
            addCriterion("ext_2 >", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThanOrEqualTo(String value) {
            addCriterion("ext_2 >=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThan(String value) {
            addCriterion("ext_2 <", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThanOrEqualTo(String value) {
            addCriterion("ext_2 <=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Like(String value) {
            addCriterion("ext_2 like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotLike(String value) {
            addCriterion("ext_2 not like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2In(List<String> values) {
            addCriterion("ext_2 in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotIn(List<String> values) {
            addCriterion("ext_2 not in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Between(String value1, String value2) {
            addCriterion("ext_2 between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotBetween(String value1, String value2) {
            addCriterion("ext_2 not between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt3IsNull() {
            addCriterion("ext_3 is null");
            return (Criteria) this;
        }

        public Criteria andExt3IsNotNull() {
            addCriterion("ext_3 is not null");
            return (Criteria) this;
        }

        public Criteria andExt3EqualTo(String value) {
            addCriterion("ext_3 =", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotEqualTo(String value) {
            addCriterion("ext_3 <>", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThan(String value) {
            addCriterion("ext_3 >", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThanOrEqualTo(String value) {
            addCriterion("ext_3 >=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThan(String value) {
            addCriterion("ext_3 <", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThanOrEqualTo(String value) {
            addCriterion("ext_3 <=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Like(String value) {
            addCriterion("ext_3 like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotLike(String value) {
            addCriterion("ext_3 not like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3In(List<String> values) {
            addCriterion("ext_3 in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotIn(List<String> values) {
            addCriterion("ext_3 not in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Between(String value1, String value2) {
            addCriterion("ext_3 between", value1, value2, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotBetween(String value1, String value2) {
            addCriterion("ext_3 not between", value1, value2, "ext3");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}